org.apache.commons.jelly.tags.xml

## Class AttributeTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.xml.AttributeTag

All Implemented Interfaces:
  Tag

    public class AttributeTag
    extends TagSupport

Adds an XML attribute to the parent element tag like the `<xsl:attribute>` tag.

Version:
  $Revision: 219726 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`AttributeTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getName()`
`java.lang.String` `getURI()`
`void` `setName(java.lang.String name)` Sets the name of the attribute.
`void` `setURI(java.lang.String namespace)` Sets the namespace URI of the element

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeTag

    public AttributeTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### getName

    public java.lang.String getName()

Returns:
  the name of the attribute.

#### setName

    public void setName(java.lang.String name)

Sets the name of the attribute.

#### getURI

    public java.lang.String getURI()

Returns:
  the namespace URI of the element

#### setURI

    public void setURI(java.lang.String namespace)

Sets the namespace URI of the element